NSX Autonomous Edge REST API

Read ssh service properties

Request:

Method:
GET
URI Path(s):
/node/services/ssh
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<nsx-mgr>/api/v1/node/services/ssh

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
NodeSshServiceProperties+

Example Response:

{ "_schema": "NodeSshServiceProperties", "_self": "/node/services/ssh", "service_name": "ssh", "service_properties": { "banner": "******************************************************************\n\n* WARNING: Authorized Personnel Only! *\n\n* Unauthorized access to this system is prohibited and may be *\n\n* monitored. Violators will be prosecuted to the fullest extent *\n\n* of the law. *\n\n******************************************************************\n", "start_on_boot": true, "root_login": true, "protocol_version": "2.0", "host_keys": [ { "key_type": "rsa", "key_size": 2048 } ] } }

Required Permissions:

read

Feature:

system_administration

Additional Errors: